package main

import (
	"os"

	"code.osinet.fr/fgm/lbc/domain"
)

func main() {
	dic := container{resolve(os.Stdout, os.Args)}

	logger := dic.Logger()
	server := dic.Web()
	if err := server.Serve(make(chan domain.Empty)); err != nil {
		logger.Fatal(err)
	}
}
